# Create a Database Catalog

Launch stage: Public Preview

`POST /api/2.0/database/catalogs`

Create a Database Catalog.

API scopes: postgres

## Request body

- `name` (string, required)
  The name of the catalog in UC.
- `database_instance_name` (string, required)
  The name of the DatabaseInstance housing the database.
- `database_name` (string, required)
  The name of the database (in an instance) associated with the catalog.
- `create_database_if_not_exists` (boolean, optional, Input only)

## Returns

Returns the DatabaseCatalog object.

## Response

```json
{
  "name": "string",
  "database_instance_name": "string",
  "database_name": "string",
  "uid": "string"
}
```

